- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# QODBCResult Class Reference

Search for all occurrences

## Detailed Description

Definition at line 82 of file qsql_odbc.h.

`#include <qsql_odbc.h>`

Inheritance diagram for QODBCResult:
[legend]

List of all members.

## Public Member Functions
| QODBCResult (const QODBCDriver *db, QODBCDriverPrivate *p)
virtual | ~QODBCResult ()
bool | prepare (const QString &query)
bool | exec ()
QVariant | handle () const
virtual void | setForwardOnly (bool forward)
## Protected Member Functions
bool | fetchNext ()
bool | fetchFirst ()
bool | fetchLast ()
bool | fetchPrevious ()
bool | fetch (int i)
bool | reset (const QString &query)
QVariant | data (int field)
bool | isNull (int field)
int | size ()
int | numRowsAffected ()
QSqlRecord | record () const
void | virtual_hook (int id, void *data)
bool | nextResult ()

## Constructor & Destructor Documentation

QODBCResult | ( | const QODBCDriver * | db,
|  | QODBCDriverPrivate * | p
| ) |  |

virtual ~QODBCResult | ( |  | ) | `[virtual]`

## Member Function Documentation

bool prepare | ( | const QString & | query | ) | `[virtual]`

Search for all occurrences

Reimplemented from QSqlResult.

bool exec | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QSqlResult.

QVariant handle | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QSqlResult.

virtual void setForwardOnly | ( | bool | forward | ) | `[virtual]`

Search for all occurrences

Reimplemented from QSqlResult.

bool fetchNext | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QSqlResult.

bool fetchFirst | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

bool fetchLast | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

bool fetchPrevious | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QSqlResult.

bool fetch | ( | int | i | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

bool reset | ( | const QString & | query | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

QVariant data | ( | int | field | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

bool isNull | ( | int | field | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

int size | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

int numRowsAffected | ( |  | ) | `[protected, virtual]`

Search for all occurrences

Implements QSqlResult.

QSqlRecord record | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QSqlResult.

void virtual_hook | ( | int | id,
|  | void * | data
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QSqlResult.

bool nextResult | ( |  | ) | `[protected]`

Search for all occurrences

Reimplemented from QSqlResult.

The documentation for this class was generated from the following file:

- QtSql/qsql_odbc.h

QODBCResult QODBCResult QODBCResult QODBCResult QODBCResult QODBCResult QODBCResult QODBCResult QODBCResult QODBCResult
QODBCResult QODBCResult QODBCResult QODBCResult QODBCResult QODBCResult QODBCResult QODBCResult QODBCResult QODBCResult